org.eclipse.wst.jsdt.chromium.debug.ui.launcher

## Class ScriptMappingTab

- java.lang.Object
- - AbstractLaunchConfigurationTab
  - - org.eclipse.wst.jsdt.chromium.debug.ui.launcher.ScriptMappingTab

    public class ScriptMappingTab
    extends AbstractLaunchConfigurationTab

A launch configuration tab that holds source look-up and mapping parameters.

### Nested Class Summary

Nested Classes
`protected static class` `TabBase.MessageData` Describes a tab error/warning message.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `createControl(Composite parent)`
`protected static Composite` `createDefaultComposite(Composite parent)`
`org.eclipse.wst.jsdt.chromium.debug.ui.launcher.ScriptMappingTab.Elements` `createElements(Composite parent, java.lang.Runnable modifyListener)`
`protected static GridLayout` `createHtmlStyleGridLayout(int numberOfColumns)`
`protected static Composite` `createInnerComposite(Composite parent, int numColumns)`
`java.lang.String` `getName()`
`protected PARAMS` `getParams()`
`protected org.eclipse.wst.jsdt.chromium.debug.ui.launcher.TabBase.TabFieldList<org.eclipse.wst.jsdt.chromium.debug.ui.launcher.ScriptMappingTab.Elements,org.eclipse.wst.jsdt.chromium.debug.ui.launcher.LaunchTabGroup.Params>` `getTabFields()`
`void` `initializeFrom(ILaunchConfiguration configuration)`
`boolean` `isValid(ILaunchConfiguration config)`
`protected TabBase.MessageData` `isValidImpl(ILaunchConfiguration config)` Tries to check whether config is valid and return message or fails with exception.
`void` `performApply(ILaunchConfigurationWorkingCopy configuration)`
`void` `setDefaults(ILaunchConfigurationWorkingCopy configuration)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### createElements

    public org.eclipse.wst.jsdt.chromium.debug.ui.launcher.ScriptMappingTab.Elements createElements(Composite parent,
                                                                                                    java.lang.Runnable modifyListener)

#### getName

    public java.lang.String getName()

#### isValidImpl

    protected TabBase.MessageData isValidImpl(ILaunchConfiguration config)

Tries to check whether config is valid and return message or fails with exception.

#### getTabFields

    protected org.eclipse.wst.jsdt.chromium.debug.ui.launcher.TabBase.TabFieldList<org.eclipse.wst.jsdt.chromium.debug.ui.launcher.ScriptMappingTab.Elements,org.eclipse.wst.jsdt.chromium.debug.ui.launcher.LaunchTabGroup.Params> getTabFields()

#### getParams

    protected PARAMS getParams()

#### createControl

    public void createControl(Composite parent)

#### setDefaults

    public void setDefaults(ILaunchConfigurationWorkingCopy configuration)

#### initializeFrom

    public void initializeFrom(ILaunchConfiguration configuration)

#### performApply

    public void performApply(ILaunchConfigurationWorkingCopy configuration)

#### isValid

    public boolean isValid(ILaunchConfiguration config)

#### createDefaultComposite

    protected static Composite createDefaultComposite(Composite parent)

#### createInnerComposite

    protected static Composite createInnerComposite(Composite parent,
                                                    int numColumns)

#### createHtmlStyleGridLayout

    protected static GridLayout createHtmlStyleGridLayout(int numberOfColumns)